## schroot 1.3.0~rc1-45-0geofft1

=== debian/changelog ===
schroot (1.3.0~rc1-45-0geofft1) karmic; urgency=low

  * git pull to 11ea993.

 -- Geoffrey Thomas <geofft@mit.edu>  Sat, 10 Oct 2009 03:45:19 -0400

schroot (1.3.0~rc1-35-1) karmic; urgency=low

  * Decrease Debian version number.
  * Fix debian/control to build on Jaunty.
  * Fix configure.ac to build on Jaunty.

 -- Geoffrey Thomas <geofft@mit.edu>  Sat, 12 Sep 2009 01:35:55 -0400

schroot (1.3.0-1) experimental; urgency=low

  [Roger Leigh]
  * New upstream development release.
  * debian/control:
    - libsbuild-dev is in section libdevel.
    - Build-Depend on Boost 1.38.
    - Build-Depend on debhelper v7.
    - Build-Depend on doxygen.
    - Update to Standards Version 3.8.2.
  * debian/compat: Use debhelper v7 compatibility mode.
  * debian/rules:
    - Use dh_prep in place of dh_clean -k.  Remove debian/install
      after running dh_prep.
    - Configure with --with-bash-completion-dir.
    - Configure with --enable-doxygen.
    - Split configure invocation onto multiple lines.
    - Only mkdir debian/build if it doesn't already exist.
  * schroot: Install bash completion.
  * schroot.conf: Use current distribution names (lenny and squeeze
    in place of sarge and etch (Closes: #516272).
  * sbuild-session.cc: Fix potential memory leak in is_group_member()
    (Closes: #517223).
  * schroot-script-config.5, schroot-setup.5: Fix typos
    (Closes: #517041).  Thanks to Loïc Minier.
  * schroot now ignores backup files (including dpkg conffile backups)
    in /etc/schroot/chroot.d (Closes: #513307, #496629).
  * mount-defaults: Bind mount /dev/shm rather than creating a new
    tmpfs inside the chroot to avoid potention denial of service
    attacks (Closes: #526788).  Thanks to Aurelien Jarno.
  * etc/setup.d/05lvm: Reorder lvm snapshot options to make more
    flexible (Closes: #494481).  Thanks to Timothy G Abbott for this
    suggestion.
  * If user authentication fails, return a nonzero exit status
    (Closes: #545706).  Thanks to Nelson Elhage for identifying this
    bug.

  [Jan-Marek Glogowski]
  * debian/control:
    - Build-Depends: Add doxygen and graphviz.
    - schroot-dbg: Add new package containing debugging symbols
      for schroot, dchroot and dchroot-dsa.  Only allow installation
      of correct package versions.
    - schroot-doc: Don't depend on pkg-config, suggest libsbuild-dev.
  * debian/rules:
    - Add check rule to run unit tests at install time.
    - Use "$(MAKE) -C" in place of explicit "cd && make".

 -- Roger Leigh <rleigh@debian.org>  Mon, 14 Sep 2009 20:12:48 +0100

schroot (1.2.2-1) unstable; urgency=low

  * New upstream stable release.
  * Compile and link with POSIX thread support (Closes: #520713).
    libstdc++ std::tr1::shared_ptr does not appear to work
    correctly on Alpha without -pthread, failing during shared_ptr
    construction or assignment due to an failed internal glibc
    assertion while locking a pthread mutex.

 -- Roger Leigh <rleigh@debian.org>  Sun, 22 Mar 2009 16:56:38 +0000

schroot (1.2.1-1) unstable; urgency=low

  * New upstream stable release.
  * debian/control:
    - Upgrade to Standards-Version 3.8.0.
    - Don't Build-Depend upon -1 Debian revisions.
  * po:
    - Update eu translation (Closes: #479498).  Thanks to Piarres Beobide.
    - Update fr translation (Closes: #481648).  Thanks to Nicolas François.
    - Update pt translation (Closes: #480640).  Thanks to Pedro Ribeiro.
    - Update vi translation (Closes: #479750).  Thanks to Clytie Siddall.
    - Add zh_CN translation (Closes: #480174).  Thanks to LI Daobing (李道兵).
    - Update zh_CN translation.  Thanks to Ji ZhengYu.
  * sbuild/sbuild-lock.cc: Order of "struct flock" members is not assumed,
    for GNU/kFreeBSD portability (Closes: #485637).  Thanks to Petr
    Salinger.
  * schroot.1.in, schroot.conf.5.in: Document /etc/schroot/chroot.d
    (Closes: #487588).
  * setup/10mount: Don't clear mount options for LVM snapshots
    (Closes: #488726).
  * New "loopback" chroot type allows loopback mounting of files
    (Closes: #475515).

 -- Roger Leigh <rleigh@debian.org>  Sat, 05 Jul 2008 11:41:33 +0100

schroot (1.2.0-1) unstable; urgency=low

  * New upstream stable release.
  * Add eu translation (Closes: #462164).
  * Updated pt translation (Closes: #464053).
  * debian/control:
    - libsbuild-dev is in section libdevel.
    - Add libboost-filesystem-dev to Build-Depends.
    - Bump Standards-Version to 3.7.3.
  * debian/libsbuild-doc.doc-base: Use section Programming/C++
  * Setup and exec scripts check for existence and validity of
    script-config file options, as well as script-config itself, and exit with
    an error status and message if incorrect (Closes: #462680).
  * Reading the configuration no longer uses O_NOFOLLOW (Closes: #476332).
    Thanks to Timothy G Abbott.
  * sbuild/sbuild-util.h: Add missing typecast to fix FTBFS on
    GNU/kFreeBSD (Closes: #465972).  Thanks to Petr Salinger.
  * Building with G++ 4.3 now works (Closes: #467457).
  * dchroot.1 manual page no longer specifies -d as a short option for
    directory; this is only used for --preserve-environment
    (Closes: #476815).
  * schroot-mount now creates the mountpoint is not existent
    (Closes: #469038).  Many thanks to Kees Cook for this patch.

 -- Roger Leigh <rleigh@debian.org>  Mon, 05 May 2008 00:09:41 +0100

schroot (1.1.6-1) unstable; urgency=low

  * New upstream development release.
  * Acknowledge NMU.  Thanks to Lucas Nussbaum for fixing the Boost
    library names following another incompatible change in Boost
    (Closes: #439215).
  * debian/control: Suggest lvm2 instead of lvm-common (Closes: #452263).
  * debian/copyright:
    - Update with new GIT source code repository location.
    - Update licence to GPLv3.
  * debian/schroot.init: Update licence to GPLv3.
  * bin/schroot/setup/20network, bin/schroot/setup/30passwd: For files to
    copy, compare file device, inode and contents to avoid copying
    identical files (Closes: #428808).

