## schroot 1.3.0-0geofft1

=== debian/changelog ===
schroot (1.3.0-0geofft1) karmic; urgency=low

  * git pull to c840bc3. This includes the official release of schroot
    1.3.0.
  * Fix /etc/setup.d/00check to permit union mounts of the root
    partition.

 -- Geoffrey Thomas <geofft@mit.edu>  Sat, 24 Oct 2009 02:53:47 -0400

schroot (1.2.3-1) unstable; urgency=low

  * New upstream stable release.
  * Detect and link against new versions of the Boost C++ libraries.

 -- Roger Leigh <rleigh@debian.org>  Sun, 17 May 2009 18:29:44 +0100
