## schroot 1.4.7

=== debian/changelog ===
schroot (1.4.7-1) unstable; urgency=low

  * New upstream stable release.
  * Use standards version 3.9.0.
  * Correctly distribute profile conffiles (Closes: #588247).  Thanks
    to Mario Holbe.
  * Update it and zh_CN translations.  Thanks to Vincenzo Campanella
    and Ji ZhengYu.

 -- Roger Leigh <rleigh@debian.org>  Tue, 06 Jul 2010 23:34:30 +0100

schroot (1.4.6-1) unstable; urgency=low

  * New upstream stable release.
  * New configuration key preserve-environment allows preservation of
    the environment for a chroot without needing to use the
    --preserve-environment option.
  * The desktop configuration profile no longer bind mounts /var/run;
    gdm3 users will need to comment out the necessary bind mount
    in /etc/schroot/desktop/fstab.
  * schroot.conf(5) documents some additional suggestions for
    desktop users using the desktop profile.
  * schroot: Include common-data and common-functions.
  * Btrfs snapshot session cleanup now works under all circumstances
    (Closes: #587757).  Thanks to Bastian Blank.
  * Session cleanup following session startup failure no longer leaves
    stray session files in place (Closes: #587769).  Thanks to Bastian
    Blank.
  * Trying to run or end a nonexistent session with the same name as
    a chroot now fails outright rather than giving a cryptic error
    message (Closes: #588155).  Thanks to Bastian Blank.

 -- Roger Leigh <rleigh@debian.org>  Mon, 05 Jul 2010 22:13:58 +0100

schroot (1.4.5-1) unstable; urgency=low

  * New upstream stable release.
  * Support for btrfs-snapshot chroots has been merged from the
    master branch.  Note that btrfs is experimental, so the
    configuration options and setup script interface may not yet
    be stable.
  * Add source-clone configuration key to disable source chroots
    (Closes: #576541).  Thanks to Andreas Barth.
  * Add support for Btrfs snapshots (Closes: #477788).  Thanks to
    Martin F. Krafft and Andreas Barth for the idea.
  * Add configuration profiles, including a desktop profile.  This
    allows running of X programs when gdm3 is used by the host by
    bind mounting /var/run (Closes: #586333).  Thanks to Stefano
    Zacchiroli for the suggestion.
  * sbuild::unique_identifier() does not use formatted dates in the
    absence of a UUID function and hence does not use characters
    such as ':' that make lvcreate choke (Closes: #583504).  Thanks
    to Zach Carter.
  * 20nssdatabases: Cope with destination database file not pre-
    existing in the chroot (Closes: #586198).  Thanks to Bastian Blank
    for this patch.  A similar patch has been applied to the file
    checking in 20copyfiles.
  * The default message verbosity may be set on a per-chroot basis
    with the message-verbosity configuration key (Closes: #462453).
  * Frequently asked questions are now addressed in schroot-faq(7).

 -- Roger Leigh <rleigh@debian.org>  Sat, 26 Jun 2010 23:46:08 +0100

schroot (1.4.4-1) unstable; urgency=low

  * Correct personality checks in testsuite for non-Linux
    architectures (Closes: #585653).  Thanks to Cyril Brulebois
    for finding the bug and testing the fix.

 -- Roger Leigh <rleigh@debian.org>  Sat, 12 Jun 2010 23:23:35 +0100

schroot (1.4.3-1) unstable; urgency=low

  * Don't use personality(2) to introspect the set personality, by
    caching the set personality instead.  This avoids problems when
    the kernel sets additional personality flags which prevents
    correct identification of the set personality, currently
    preventing building on ARM (Closes: #580136).
  * Correctly clean up the session when schroot receives SIGINT
    (Closes: #477770).  Thanks to Nathaniel W. Turner for this patch.
  * Add contrib 10mount-ssh setup script (Closes: #574723).  Thanks
    to Sascha Silbe.
  * Add contrib 09fsck setup script (Closes: #492316).  Thanks to
    Martin F. Krafft.
  * Use the '3.0 (quilt)' source format.

 -- Roger Leigh <rleigh@debian.org>  Sat, 12 Jun 2010 16:02:11 +0100

schroot (1.4.2-1) unstable; urgency=low

  * Update fr translation (Closes: #571328).  Thanks to Thomas Blein.
  * Update de translation (Closes: #577554).  Thanks to Holger Wansing.
  * Remove inactive maintainers from uploaders (Closes: #573869).
  * Add support for kFreeBSD platform (Closes: #566513).  Thanks to
    Aurelien Jarno.
  * Support building with Boost 1.42 (Closes: #579701).  Thanks to
    Andy Bailey.

 -- Roger Leigh <rleigh@debian.org>  Tue, 13 Apr 2010 14:22:13 +0100

schroot (1.4.1-2) unstable; urgency=low

  * Create compatibility symlinks for the old setup script
    configuration files in postinst, and remove in postrm.  While
    not strictly needed for starting sessions, these are required
    for recovery of existing sessions which have references to the
    old names.

 -- Roger Leigh <rleigh@debian.org>  Sun, 21 Feb 2010 10:56:59 +0000

schroot (1.4.1-1) unstable; urgency=low

  * New upstream stable release.
  * dchroot and dchroot-dsa now allow root to access chroots which
    don't specifically grant root access in their configuration
    (Closes: #566879).  Thanks to Aurelien Jarno for reporting this.
    This was a regression from the separation of authentication into
    separate PAM and NULL authentication methods used by schroot and
    dchroot/dchroot-dsa, respectively.  The NULL authentication method
    was unnecessarily strict for user authentication.
  * schroot no longer segfaults when loading plain chroot session
    files (Closes: #568187).  This was caused by the chroot
    configuration loader automatically creating a session chroot
    from the template chroot used to deserialise the session
    configuration into.  plain chroots, however, don't support
    session creation and so return a NULL chroot, leading to a
    subsequent segfault.  Thanks to Marc Bantle for identifying this
    regression and aiding in debugging.
  * Enable PAM conversation handler to allow password entry

