=== debian/control ===
--- 
+++ 
@@ -2,14 +2,15 @@
 Section: admin
 Priority: optional
 Maintainer: Debian buildd-tools Developers <buildd-tools-devel@lists.alioth.debian.org>
-Uploaders: Michael Banck <mbanck@debian.org>, Luk Claes <luk@debian.org>, Roger Leigh <rleigh@debian.org>, Francesco Paolo Lovergine <frankie@debian.org>
-Build-Depends: debhelper (>= 7.0.0), autotools-dev, pkg-config (>= 0.20), libpam0g-dev (>= 0.79-3.1), uuid-dev, liblockdev1-dev (>= 1.0.2), libboost1.37-dev (>= 1.37.0), libboost-program-options1.37-dev (>= 1.37.0), libboost-regex1.37-dev (>= 1.37.0), libboost-filesystem1.37-dev (>= 1.37.0), gettext, libcppunit-dev, doxygen, graphviz
-Standards-Version: 3.8.3
+Uploaders: Roger Leigh <rleigh@debian.org>
+Build-Depends: debhelper (>= 7.0.0), autotools-dev, pkg-config (>= 0.20), libpam0g-dev (>= 0.79-3.1), uuid-dev, liblockdev1-dev (>= 1.0.2), libboost-dev (>= 1.39.0), libboost-program-options-dev (>= 1.39.0), libboost-regex-dev (>= 1.39.0), libboost-filesystem-dev (>= 1.39.0), gettext, libcppunit-dev, doxygen, graphviz
+Standards-Version: 3.9.0
 Vcs-Browser: http://git.debian.org/?p=buildd-tools/schroot.git
 Vcs-Git: git://git.debian.org/git/buildd-tools/schroot
 
 Package: schroot-common
 Architecture: all
+Depends: ${misc:Depends}
 Replaces: schroot (<< 1.1.1)
 Description: common files for schroot
  schroot allows users to execute commands or interactive shells in
@@ -26,7 +27,7 @@
 Package: libsbuild-dev
 Architecture: any
 Section: libdevel
-Depends: pkg-config (>= 0.14.0)
+Depends: ${misc:Depends}, pkg-config (>= 0.14.0)
 Suggests: schroot-dbg, libsbuild-doc
 Description: development files for the Debian source builder
  sbuild provides facilities to manage and access chroots, as part of
@@ -48,7 +49,7 @@
 Architecture: any
 Section: debug
 Priority: extra
-Depends: schroot (= ${binary:Version}) | dchroot (= ${binary:Version}) 
+Depends: ${misc:Depends}, schroot (= ${binary:Version}) | dchroot (= ${binary:Version}) 
  | dchroot-dsa (= ${binary:Version})
 Conflicts: schroot (<< ${binary:Version}), schroot (>> ${binary:Version}),
  dchroot (<< ${binary:Version}), dchroot (>>${binary:Version}),
@@ -71,6 +72,7 @@
 Package: libsbuild-doc
 Architecture: all
 Section: doc
+Depends: ${misc:Depends}
 Suggests: libsbuild-dev
 Description: development documentation for the Debian source builder
  sbuild provides facilities to manage and access chroots, as part of
@@ -89,10 +91,10 @@
 
 Package: schroot
 Architecture: any
-Depends: ${shlibs:Depends}, schroot-common (=${source:Version})
+Depends: ${shlibs:Depends}, ${misc:Depends}, schroot-common (=${source:Version})
 Conflicts: dchroot (<< 0.13)
 Enhances: sbuild
-Suggests: debootstrap, lvm2, unzip, aufs-modules | unionfs-modules
+Suggests: debootstrap, lvm2, btrfs-tools, unzip, aufs-modules | unionfs-modules
 Description: Execute commands in a chroot environment
  schroot allows users to execute commands or interactive shells in
  different chroots.  Any number of named chroots may be created, and
@@ -122,7 +124,7 @@
 Package: dchroot
 Architecture: any
 Suggests: debootstrap
-Depends: schroot (= ${binary:Version}), ${shlibs:Depends}, schroot-common (=${source:Version})
+Depends: ${misc:Depends}, schroot (= ${binary:Version}), ${shlibs:Depends}, schroot-common (=${source:Version})
 Description: Execute commands in a chroot environment
  dchroot allows users to execute commands or interactive shells in
  different chroots.  A typical installation might provide 'stable',
@@ -145,7 +147,7 @@
 Package: dchroot-dsa
 Architecture: any
 Suggests: debootstrap
-Depends: schroot (= ${binary:Version}), ${shlibs:Depends}, schroot-common (=${source:Version})
+Depends: ${misc:Depends}, schroot (= ${binary:Version}), ${shlibs:Depends}, schroot-common (=${source:Version})
 Description: Execute commands in a chroot environment
  dchroot allows users to execute commands or interactive shells in
  different chroots.  A typical installation might provide 'stable',
