=== debian/control ===
--- 
+++ 
@@ -3,8 +3,9 @@
 Priority: optional
 Maintainer: Debian buildd-tools Developers <buildd-tools-devel@lists.alioth.debian.org>
 Uploaders: Roger Leigh <rleigh@debian.org>
-Build-Depends: debhelper (>= 7.0.0), autotools-dev, pkg-config (>= 0.20), libpam0g-dev (>= 0.79-3.1), uuid-dev, liblockdev1-dev (>= 1.0.2), libboost-dev (>= 1.39.0), libboost-program-options-dev (>= 1.39.0), libboost-regex-dev (>= 1.39.0), libboost-filesystem-dev (>= 1.39.0), gettext, libcppunit-dev, doxygen, graphviz
-Standards-Version: 3.9.0
+Build-Depends: debhelper (>= 7.0.0), autotools-dev, pkg-config (>= 0.20), libpam0g-dev (>= 0.79-3.1), uuid-dev [!kfreebsd-any], liblockdev1-dev (>= 1.0.2), libboost-dev (>= 1.34.0), libboost-program-options-dev (>= 1.34.0), libboost-regex-dev (>= 1.34.0), libboost-filesystem-dev (>= 1.34.0), gettext, libcppunit-dev
+Build-Depends-Indep: doxygen, graphviz
+Standards-Version: 3.9.1
 Vcs-Browser: http://git.debian.org/?p=buildd-tools/schroot.git
 Vcs-Git: git://git.debian.org/git/buildd-tools/schroot
 
@@ -47,9 +48,9 @@
 
 Package: schroot-dbg
 Architecture: any
-Section: debug
+Section: devel
 Priority: extra
-Depends: ${misc:Depends}, schroot (= ${binary:Version}) | dchroot (= ${binary:Version}) 
+Depends: ${misc:Depends}, schroot (= ${binary:Version}) | dchroot (= ${binary:Version})
  | dchroot-dsa (= ${binary:Version})
 Conflicts: schroot (<< ${binary:Version}), schroot (>> ${binary:Version}),
  dchroot (<< ${binary:Version}), dchroot (>>${binary:Version}),
